## javax.faces.component.html
Class HtmlPanelGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup

All Implemented Interfaces:
  StateHolder

public class HtmlPanelGroup
extends UIPanel

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIPanel
`COMPONENT_FAMILY`

Constructor Summary
`HtmlPanelGroup()`

Method Summary
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`

Methods inherited from class javax.faces.component.UIPanel
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelGroup

    public HtmlPanelGroup()

Method Detail

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIComponentBase`